Radom API reference
99 operations across 22 resource groups. The base URL for the production API is https://api.radom.com. Requests are authenticated with an API key in the Authorization header.
Checkout Session
- POST
/checkout_sessionCreate a checkout session - GET
/checkout_session/{id}Get a checkout session - POST
/checkout_session/{id}/cancelCancel a checkout session - GET
/checkout_sessionsList checkout sessions
Payment Link
- GET
/payment_link/{id}Get a payment link - PUT
/payment_link/{id}Update a payment link - DELETE
/payment_link/{id}Delete a payment link - PUT
/payment_link/{id}/archiveArchive a payment link - POST
/payment_link/createCreate a payment link - GET
/payment_linksList payment links
Payment Session
- POST
/payment_sessionCreate payment session - GET
/payment_session/{id}Get payment session - POST
/payment_session/{id}/cancelCancel payment session - POST
/payment_session/{id}/extendExtend payment session - GET
/payment_sessionsList payment sessions
Products
- GET
/product/{id}Get a product - PUT
/product/{id}Update product - PUT
/product/{id}/is_archived/{is_archived}Archive product - POST
/product/createCreate a product - GET
/productsList products
Discount Codes
- GET
/discount_code/{id}Get a discount code - DELETE
/discount_code/{id}Delete a discount code - POST
/discount_code/createCreate a discount code - GET
/discount_codesList discount codes
Invoices
- POST
/invoiceCreate an invoice - GET
/invoice/{id}Get an invoice - DELETE
/invoice/{id}Void an invoice - GET
/invoicesList invoices
Subscriptions
- GET
/customer/{id}/subscriptionsList all subscriptions for a customer - GET
/subscription/{id}Get subscription - POST
/subscription/{id}/cancelRevoke subscription - GET
/v2/subscriptionsList subscriptions
Open Banking
- GET
/open_banking/banksList open banking banks
Onramp
- POST
/onrampCreate onramp transfer - GET
/onramp/{id}Get an onramp transfer - GET
/onrampsList onramps
Balances
- GET
/balanceList balances
Swap
- POST
/swapExecute a swapInitiates an immediate asset swap from one token to another using your organization's balance.
- GET
/swap/{id}Get a swapReturns the details of a single swap belonging to your organization.
- GET
/swap/auto_on_paymentGet auto-swap on payment settingsReturns the current auto-swap on payment configuration for your organization. When enabled, incoming payments are automatically swapped to the configured target asset.
- PUT
/swap/auto_on_paymentUpdate auto-swap on payment settingsEnables or disables automatic swapping of incoming payments to a target asset for your organization.
- POST
/swap/quoteGet a swap quoteReturns the estimated output amount for swapping a given asset amount to another token, without executing the swap.
- GET
/swap/supported_assetsList supported swap assetsReturns all assets (network and token combinations) that can be used as the source in a swap.
- POST
/swap/supported_targetsList supported swap targetsReturns all assets that can be used as the destination when swapping from the specified source asset.
Transactions
- GET
/transactionsList transactions
Payout
- POST
/payoutCreate a payout - GET
/payout/{id}Get a payout - POST
/payout/{id}/confirmConfirm a payout - POST
/payout/{id}/quoteQuote a payout - GET
/payout/capabilitiesGet live payout capabilities for funded payout destinations. - GET
/payout/feeGet payout fee estimateReturns the fee structure and estimated fee for a payout based on the organization's fee configuration, the destination currency, and the amount.
- GET
/payoutsList payouts
Withdrawals
- GET
/withdrawalList withdrawal requests - POST
/withdrawalCreate a withdrawal request - GET
/withdrawal/{id}Retrieve a specific withdrawal request - GET
/withdrawal/feeGet withdrawal fee - GET
/withdrawals/{withdrawal_account_id}List withdrawal requests by withdrawal account id
Withdrawal accounts
- GET
/withdrawal/accountList withdrawal accounts - POST
/withdrawal/accountCreate a withdrawal account - GET
/withdrawal/account/{account_type}/{address}Get a crypto withdrawal account by address - GET
/withdrawal/account/{account_type}/iban/{iban}/{bic}Get a fiat (IBAN) withdrawal account by IBAN and BIC - GET
/withdrawal/account/{account_type}/us/{account_number}/{routing_number}Get a fiat (US) withdrawal account by account and routing numbers - GET
/withdrawal/account/{id}Get a withdrawal account by ID - DELETE
/withdrawal/account/{id}Delete a withdrawal account
External Accounts
- GET
/customer/{customer_id}/external_accountsList external accounts for a customer - POST
/external_accountCreate an external account - GET
/external_account/{id}Get an external account by id - DELETE
/external_account/{id}Delete an external account
Refund
- POST
/refundIssue a refund - GET
/refund/{id}Get refund
Deposits
- GET
/customer/{id}/depositsList customer deposits - GET
/depositList deposits - GET
/deposit/{id}Get deposit - GET
/deposits/{deposit_account_id}List deposits by account id
Deposit accounts
- GET
/deposit/accountList deposit accounts - POST
/deposit/accountCreate a deposit account - GET
/deposit/account/{id}Get a deposit account - DELETE
/deposit/account/{id}Delete a deposit account - GET
/deposit/account/masterGet or create the master funding deposit account for an asset/network - GET
/deposit/account/metricsGet crypto deposit account metrics (total count, latest added, 30-day volume) - GET
/deposit/virtual_accounts_capabilitiesGet virtual accounts capabilities
Customers
- GET
/customerGet a customer by email address.If two customers within the same organization share the same email address, then which customer details are returned is indeterminate.
- POST
/customerCreate a customer - GET
/customer/{id}Get a customer by id - PUT
/customer/{id}Update a customer - DELETE
/customer/{id}Delete a customer - GET
/customersList customers
FBO Organizations
- POST
/organizations/{parent_id}/organizationsCreate a managed (FBO) organization.Use this endpoint to create an organization under a verified parent organization that has FBO mode enabled.
- GET
/organizations/{parent_id}/organizations/{child_id}/verifyGet managed organization verification details.Retrieve verification details for a managed organization under the specified parent organization.
- PUT
/organizations/{parent_id}/organizations/{child_id}/verifyVerify a managed (FBO) organization.Use this endpoint to update verification status for an organization created under a parent organization, such as in marketplace or FBO scenarios.
- POST
/organizations/{parent_id}/transfer_balance
Webhooks
- GET
/webhook/{id}Get a webhook by id - PUT
/webhook/{id}Update a webhook - POST
/webhook/{id}/message/{message_id}/resendResend a webhook message by identifier - GET
/webhook/{id}/messagesGet webhook messages by webhook - POST
/webhook/{id}/resend_message_failuresResend all webhook failures for a webhook - POST
/webhook/{id}/testSend a test webhook to verify endpoint connectivity - POST
/webhook/createCreate a webhook - GET
/webhooksList webhooks